@echo off
REM This script is an example how to migrate from IPMICFG -lani to SAA GetBmcLANCfg/GetBmcLANCfg usages.
REM make sure xmlstarlet is installed properly in advanced.

set SAA_PATH=C:\Users\Administrator\Desktop\saa_1.0.0_Win_x86_64\saa.exe
set XMLSTARLET_PATH=C:\Users\Administrator\Desktop\xmlstarlet-1.6.1-win32\xmlstarlet-1.6.1\xml.exe
set LAN_MODE_XMLPATH=/BmcLANCfg/LAN/Configuration/LanMode
set LAN_MODE_DEDICATED=Dedicated


REM The following two steps are equivalent to IPMICFG -lani
REM Get BMC LAN configuration file by SAA
%SAA_PATH% -c getbmclancfg --file lan.xml --overwrite

REM Extract BMC LAN mode by xmlstarlet
%XMLSTARLET_PATH% select --template -v "%LAN_MODE_XMLPATH%" lan.xml


REM The following two steps are equivalent to IPMICFG -lani %LAN_MODE_DEDICATED%
REM Change BMC LAN mode as %LAN_MODE_DEDICATED% in BMC LAN configuration file by xmlstarlet
%XMLSTARLET_PATH% edit --inplace --update "%LAN_MODE_XMLPATH%" --value %LAN_MODE_DEDICATED% lan.xml

REM Change BMC LAN configuration by SAA
%SAA_PATH% -c changebmclancfg --file lan.xml

