#!/bin/bash
#This script is an example how to migrate from ./IPMICFG-Linux.x86_64 -lani to SAA GetBmcLANCFG/ChangeBmcLanCfg usages.
#Please make sure xmlstarlet is installed properly in advanced.

IPMICFG_PATH='./IPMICFG-Linux.x86_64'
SAA_PATH='/home/taitan/git/SUM/BUILD/scebioscfg/saa'
LAN_MODE_XMLPATH='/BmcLANCfg/LAN/Configuration/LanMode'
LAN_MODE_DEDICATED='Dedicated'

#The following two steps are equivalent to ./IPMICFG-Linux.x86_64 -lani
#Get BMC LAN configuration file by SAA
$SAA_PATH -c getbmclancfg --file lan.xml --overwrite
#Extract BMC LAN mode by xmlstarlet
xmlstarlet select  --template -v $LAN_MODE_XMLPATH lan.xml


#The following two steps are equivalent to ./IPMICFG-Linux.x86_64 -lani $LAN_MODE_DEDICATED
#Change BMC LAN mode as $LAN_MODE_DEDICATED in BMC LAN configuration file by xmlstarlet
xmlstarlet edit --inplace --update $LAN_MODE_XMLPATH --value $LAN_MODE_DEDICATED lan.xml
#Change BMC LAN configuration by SAA
$SAA_PATH -c changebmclancfg --file lan.xml

