@echo off
REM This script is an example how to migrate from SMCIPMITool ipmi oem lan to SAA GetBmcLANCfg/ChangeBmcLanCfg usages.
REM make sure xmlstarlet is installed properly in advanced.

set SAA_PATH=C:\Users\taitanc\Downloads\saa_1.1.0_Win_x86_64_20240718\saa_1.1.0_Win_x86_64\saa.exe
set XMLSTARLET_PATH=C:\Users\taitanc\Downloads\xmlstarlet-1.6.1-win32\xmlstarlet-1.6.1\xml.exe
set IP=10.184.15.236
set USER=ADMIN
set PASSWORD=ADMIN
set LAN_MODE_XMLPATH=/BmcLANCfg/LAN/Configuration/LanMode
set LAN_MODE_DEDICATED=Dedicated



REM The following two steps are equivalent to SMCIPMITool ipmi oem lani
REM Get BMC LAN configuration file by SAA
%SAA_PATH% -i %IP% -u %USER% -p %PASSWORD% -c getbmclancfg --file lan.xml --overwrite

REM Extract BMC LAN mode by xmlstarlet
%XMLSTARLET_PATH% select  --template -v "%LAN_MODE_XMLPATH%" lan.xml

REM The following two steps are equivalent to SMCIPMITool ipmi oem lani 0 (0 for Dedicated)
REM Change BMC LAN mode as %LAN_MODE_DEDICATED% in BMC LAN configuration file by xmlstarlet
%XMLSTARLET_PATH% edit --inplace --update "%LAN_MODE_XMLPATH%" --value %LAN_MODE_DEDICATED% lan.xml

REM Change BMC LAN configuration by SAA
%SAA_PATH% -i %IP% -u %USER% -p %PASSWORD% -c changebmclancfg --file lan.xml

