#!/bin/bash
#This script is an example how to migrate from SMCIPMITool ipmi oem lani to SAA GetBmcLANCFG/ChangeBmcLanCfg usages.
#Please make sure xmlstarlet is installed properly in advanced.

SMCIPMITool_PATH='./SMCIPMITool_2.28.0_build.240419_bundleJRE_Linux_x64/SMCIPMITool'
SAA_PATH='/home/taitan/opt/saa_1.1.0_Linux_x86_64/saa'
IP='10.184.20.175'
USER='ADMIN'
PASSWORD='ADMIN'
LAN_MODE_XMLPATH='/BmcLANCfg/LAN/Configuration/LanMode'
LAN_MODE_DEDICATED='Dedicated'

#The following two steps are equivalent to SMCIPMITool ipmi oem lani
#Get BMC LAN configuration file by SAA
$SAA_PATH -i $IP -u $USER -p $PASSWORD -c getbmclancfg --file lan.xml --overwrite

#Extract BMC hostname by xmlstarlet
xmlstarlet select  --template -v $LAN_MODE_XMLPATH lan.xml


#The following two steps are equivalent to SMCIPMITool ipmi oem lani 0 (0 for Dedicated)
#Change BMC LAN mode as $LAN_MODE_DEDICATED in BMC LAN configuration file by xmlstarlet
xmlstarlet edit --inplace --update $LAN_MODE_XMLPATH --value $LAN_MODE_DEDICATED lan.xml
#Change BMC LAN configuration by SAA
$SAA_PATH -i $IP -u $USER -p $PASSWORD -c changebmclancfg --file lan.xml


